$(document).ready(function(e) {
	$('.menu > li').each(function(){
	   if( $(this).find('a').length == 0){
			$(this).hide();
	   }else{
			var ahref = $(this).find('a').attr('href');
			if(ahref == '#' && $(this).find('.submenu li').length == 0){
				$(this).hide();
			}			
	   }
    });
});